X
Tap here to go to the mobile version of the site.

Support Forum

Minor update of ESR breaks addons and changes things

  • No replies
  • 1 has this problem
  • 1 view
Posted

I've just updated from ESR 52.3 to 52.4, and found that there are more changes that just security patches :-(.

At least one addon of mine stopped working, I haven't checked whether it is the only one. That was an old addon I've been using for years, so it surely isn't WebExtensions compatible. But that's not important.

Also, I've found that firefox now spawns another process

"C:\Program Files\Mozilla Firefox\firefox.exe" -contentproc --channel="18328.0.1459122620\639014926" -greomni "C:\Program Files\Mozilla Firefox\omni.ja" -appomni "C:\Program Files\Mozilla Firefox\browser\omni.ja" -appdir "C:\Program Files\Mozilla Firefox\browser" 18328 "\\.\pipe\gecko-crash-server-pipe.18328" tab

probably related to the new multi-process features (Electrolysis).

How is that possible? The ESR channel is meant to provide stable versions, updates should contain only security and other critical fixes. But this does not seem to be the case.

I've just updated from ESR 52.3 to 52.4, and found that there are more changes that just security patches :-(. At least one addon of mine stopped working, I haven't checked whether it is the only one. That was an old addon I've been using for years, so it surely isn't WebExtensions compatible. But that's not important. Also, I've found that firefox now spawns another process "C:\Program Files\Mozilla Firefox\firefox.exe" -contentproc --channel="18328.0.1459122620\639014926" -greomni "C:\Program Files\Mozilla Firefox\omni.ja" -appomni "C:\Program Files\Mozilla Firefox\browser\omni.ja" -appdir "C:\Program Files\Mozilla Firefox\browser" 18328 "\\.\pipe\gecko-crash-server-pipe.18328" tab probably related to the new multi-process features (Electrolysis). How is that possible? The ESR channel is meant to provide stable versions, updates should contain only security and other critical fixes. But this does not seem to be the case.
Quote

Additional System Details

Installed Plug-ins

  • Shockwave Flash 27.0 r0

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0

More Information

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.